TechDraw Dimension Radius

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw RadiusDimension and the translation is 24% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw Dimension Radius.svg TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Descriere

Instrumentul Radius Dimension adaugă o dimensiune a unei raze la o View. Cota/dimensiunea poate fi aplicată la orice margine în desenul care este un cerc sau un arc de cerc.

RadiusSample.png

The Radius Dimension tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension.svg TechDraw LinkDimension tool.

TechDraw Dimension Radius example.png

Measuring a circle, indicating the radius

Cum se folosește

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the TechDraw RadiusDimension.svg Radius Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Proprietăți

See TechDraw LengthDimension.

Script

Cotele tip rază pot fi adăugate la Pages utilizând Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)